Macaulay2 » Documentation
Packages » Normaliz :: ring(MonomialSubalgebra)
next | previous | forward | backward | up | index | toc

# ring(MonomialSubalgebra) -- surrounding ring of a monomial subalgebra

- Function: ring
- Usage:
    `ring S`
- Inputs:
  - a monomial subalgebra,
- Outputs:
  - a ring, the surrounding ring of the monomial subalgebra S

## Description

    i1 : R=ZZ/37[x,y,z];

    i2 : S=createMonomialSubalgebra {x^2*y, x*z, z^3}

    o2 = MonomialSubalgebra{cache => CacheTable{}       }
                                            2         3
                            generators => {x y, x*z, z }
                            ring => R

    o2 : MonomialSubalgebra of R

    i3 : ring S

    o3 = R

    o3 : PolynomialRing

## Ways to use this method:

- ring(MonomialSubalgebra) -- surrounding ring of a monomial subalgebra

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/Normaliz.m2:926:0.